module Paths_lambdabot (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [4,2,2,1], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/root/.cabal/bin"
libdir     = "/root/.cabal/lib/lambdabot-4.2.2.1/ghc-6.12.1"
datadir    = "/root/.cabal/share/lambdabot-4.2.2.1"
libexecdir = "/root/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "lambdabot_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "lambdabot_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "lambdabot_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "lambdabot_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
