module Paths_mueval (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,8], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/root/.cabal/bin"
libdir     = "/root/.cabal/lib/mueval-0.8/ghc-6.12.1"
datadir    = "/root/.cabal/share/mueval-0.8"
libexecdir = "/root/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "mueval_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "mueval_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "mueval_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "mueval_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
